program hello
integer tid, omp_get_thread_num
write(*,*) 'Hello world from threads:'
!$OMP parallel private(tid)
tid = omp_get_thread_num()
write(*,*) '<', tid, '>'
!$omp end parallel
write(*,*) 'I am sequential now'
end